com.tibco.tibjms.admin

## Class DetailedDestStat

- java.lang.Object
- - com.tibco.tibjms.admin.DetailedDestStat

-     public class DetailedDestStat
      extends java.lang.Object

  This class represents detailed destination statistics about another object (Topic, Queue etc). Detailed statistics are optionally collected by the server for wildcarded consumers, unidentified producers and routes.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DetailedDestStat` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `java.lang.String` | `getDestinationName()` Returns the name of the destination.
    `int` | `getDestinationType()` Returns the type of the destination.
    `StatData` | `getInboundStatData()` Returns inbound statistics for this bidirectional destination.
    `StatData` | `getOutboundStatData()` Returns outbound statistics for this bidirectional destination.
    `StatData` | `getStatData()` Returns statistics if this is unidirectional destination statistics.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDestinationType

          public int getDestinationType()

      Returns the type of the destination.
      Returns:
        destination type.

    - #### getDestinationName

          public java.lang.String getDestinationName()

      Returns the name of the destination.
      Returns:
        destination name.

    - #### getStatData

          public StatData getStatData()

      Returns statistics if this is unidirectional destination statistics. Unidirectional destinations are those collected for producers and consumers.
      Returns:
        the statistics data.

    - #### getInboundStatData

          public StatData getInboundStatData()

      Returns inbound statistics for this bidirectional destination. Bidirectional destinations are those collected for routes.
      Returns:
        the inbound statistics data.

    - #### getOutboundStatData

          public StatData getOutboundStatData()

      Returns outbound statistics for this bidirectional destination. Bidirectional destinations are those collected for routes.
      Returns:
        the outbound statistics data.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static DetailedDestStat from(javax.management.openmbean.CompositeData cd)
                                       throws java.lang.Exception

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a DetailedDestStat object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved